version: 0.0
os: linux
files:
  - source: /
    destination: /opt/sendsteps/www/sendshake/live/1.15/
permissions:
  - object: /opt/sendsteps/www/sendshake/live/1.15
    owner: releaser
    group: releaser
    type: 
      - directory
#   - object: /opt/sendsteps/www/sendshake/live/1.15/addincharts
#     pattern: "generate_json-live.py"
#     mode: 755
#     type:
#       - file
#   - object: /opt/sendsteps/www/sendshake/live/1.15/addincharts/addincharts.json
#     owner: releaser
#     type: 
#       - file
hooks:
  AfterInstall:
    - location: scripts/s3_copy.sh
      timeout: 300
    - location: scripts/set_permissions.sh
      timeout: 30
    - location: scripts/post_deploy.sh
      timeout: 300
      runas: releaser
